Bug 219293 - science/massxpert: fails to build with lang/gcc6 or later
Summary: science/massxpert: fails to build with lang/gcc6 or later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks: 219275
  Show dependency treegraph
 
Reported: 2017-05-14 22:10 UTC by Jan Beich
Modified: 2017-08-26 20:56 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback-
rakuco: merge-quarterly+


Attachments
Proposed patch (1.82 KB, patch)
2017-07-26 17:22 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-14 22:10:07 UTC
/wrkdirs/usr/ports/science/massxpert/work/massxpert-3.4.0/lib/propListHolder.cpp: In member function 'bool massXpert::PropListHolder::removeProp(const QString&)':
/wrkdirs/usr/ports/science/massxpert/work/massxpert-3.4.0/lib/propListHolder.cpp:216:2: error: this 'if' clause does not guard... [-Werror=misleading-indentation]
  if(m_propList.at(iter)->name() == name);
  ^~
/wrkdirs/usr/ports/science/massxpert/work/massxpert-3.4.0/lib/propListHolder.cpp:217:2: note: ...this statement, but the latter is misleadingly indented as if it is guarded by the 'if'
  {
  ^

build log: http://sprunge.us/HhRA
Comment 1 Raphael Kubo da Costa freebsd_committer 2017-07-26 17:22:27 UTC
Created attachment 184742 [details]
Proposed patch

The attached patch fixes the build with GCC 6; it also fixes an actual bug in that method which GCC was complaining about.

I've also dropped MAKE_JOBS_UNSAFE after building the port successfully with both -j2 and -j<big number>.
Comment 2 commit-hook freebsd_committer 2017-08-13 11:20:43 UTC
A commit references this bug:

Author: rakuco
Date: Sun Aug 13 11:19:53 UTC 2017
New revision: 447878
URL: https://svnweb.freebsd.org/changeset/ports/447878

Log:
  Add patch to drop a wrong ';' in an if check.

  In addition to fixing an actual bug, this also fixes the build with GCC 6:

  /wrkdirs/usr/ports/science/massxpert/work/massxpert-3.4.0/lib/propListHolder.cpp: In member function 'bool massXpert::PropListHolder::removeProp(const QString&)':
  /wrkdirs/usr/ports/science/massxpert/work/massxpert-3.4.0/lib/propListHolder.cpp:216:2: error: this 'if' clause does not guard... [-Werror=misleading-indentation]
    if(m_propList.at(iter)->name() == name);
    ^~
  /wrkdirs/usr/ports/science/massxpert/work/massxpert-3.4.0/lib/propListHolder.cpp:217:2: note: ...this statement, but the latter is misleadingly indented as if it is guarded by the 'if'
    {

  PR:		219293
  Approved by:	maintainer timeout (vg, 18 days)
  MFH:		2017Q3

Changes:
  head/science/massxpert/Makefile
  head/science/massxpert/files/patch-lib_propListHolder.cpp
Comment 3 commit-hook freebsd_committer 2017-08-13 11:20:45 UTC
A commit references this bug:

Author: rakuco
Date: Sun Aug 13 11:20:36 UTC 2017
New revision: 447879
URL: https://svnweb.freebsd.org/changeset/ports/447879

Log:
  Drop MAKE_JOBS_UNSAFE.

  Tentatively remove it after testing the port with -j2 and -jLOTS_OF_CORES.

  PR:		219293

Changes:
  head/science/massxpert/Makefile
Comment 4 commit-hook freebsd_committer 2017-08-17 16:28:37 UTC
A commit references this bug:

Author: rakuco
Date: Thu Aug 17 16:28:15 UTC 2017
New revision: 448144
URL: https://svnweb.freebsd.org/changeset/ports/448144

Log:
  MFH: r447878

  Add patch to drop a wrong ';' in an if check.

  In addition to fixing an actual bug, this also fixes the build with GCC 6:

  /wrkdirs/usr/ports/science/massxpert/work/massxpert-3.4.0/lib/propListHolder.cpp: In member function 'bool massXpert::PropListHolder::removeProp(const QString&)':
  /wrkdirs/usr/ports/science/massxpert/work/massxpert-3.4.0/lib/propListHolder.cpp:216:2: error: this 'if' clause does not guard... [-Werror=misleading-indentation]
    if(m_propList.at(iter)->name() == name);
    ^~
  /wrkdirs/usr/ports/science/massxpert/work/massxpert-3.4.0/lib/propListHolder.cpp:217:2: note: ...this statement, but the latter is misleadingly indented as if it is guarded by the 'if'
    {

  PR:		219293
  Approved by:	maintainer timeout (vg, 18 days)

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/science/massxpert/Makefile
  branches/2017Q3/science/massxpert/files/patch-lib_propListHolder.cpp
Comment 5 commit-hook freebsd_committer 2017-08-26 20:56:21 UTC
A commit references this bug:

Author: rakuco
Date: Sat Aug 26 20:55:41 UTC 2017
New revision: 448784
URL: https://svnweb.freebsd.org/changeset/ports/448784

Log:
  Revert r447879.

  Apparently the build is indeed broken with parallel jobs, even though I wasn't
  able to reproduce it in my tests. Checking what's broken would take time and
  anyone interested in that should rather try updating the port to 3.6.0.

  PR:		219293
  Reported by:	John Marino <freebsdml@marino.st>

Changes:
  head/science/massxpert/Makefile